Get profile¶
GET/
Cloud Security API · runtime-detections
Get runtime detection profile details.
Parameters¶
| Name | In | Type | Required | Description |
|---|---|---|---|---|
X-Tenant-ID | header | string (uuid) | Yes | Tenant ID. |
profileId | path | string (uuid) | Yes | Runtime detection profile ID. |
version | query | integer | No | Profile version. |
Request samples¶
curl -X GET "https://api-<data-region>.central.sophos.com/cloud-security/v1/profiles/<profileId>" -H "Authorization: Bearer <access-token>" -H "X-Tenant-ID: <tenant-id>"
import requests
response = requests.get(
"https://api-<data-region>.central.sophos.com/cloud-security/v1/profiles/<profileId>",
headers={
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
},
)
print(response.json())
$headers = @{
"Authorization" = "Bearer <access-token>"
"X-Tenant-ID" = "<tenant-id>"
}
Invoke-RestMethod -Method GET -Uri "https://api-<data-region>.central.sophos.com/cloud-security/v1/profiles/<profileId>" -Headers $headers
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api-<data-region>.central.sophos.com/cloud-security/v1/profiles/<profileId>", nil)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <access-token>")
req.Header.Set("X-Tenant-ID", "<tenant-id>")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
const response = await fetch("https://api-<data-region>.central.sophos.com/cloud-security/v1/profiles/<profileId>", {
method: "GET",
headers: {
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
},
});
const data = await response.json();
console.log(data);
Responses¶
200 — Runtime detection profile fetched successfully.¶
Response fields
idstring (uuid)ID of the runtime detection profile.
namestringName of the runtime detection profile.
profileDescriptionstringDescription of the runtime detection profile version.
defaultContentIdstring (uuid)ID of the default content used to create the runtime detection profile.
contentVersionstringVersion of the default content used to create the runtime detection profile.
diffstringOverride settings of the runtime detection profile in YAML format.
createdAtstring (date-time)Creation date of the runtime detection profile in UTC.
versionsarray of objectList of versions of the runtime detection profile.
Runtime detection profile version metadata.
Show child attributesHide child attributes
versionintegerVersion of the runtime detection profile.
createdAtstring (date-time)Creation date of the runtime detection profile in UTC.
Errors¶
| Status | Meaning |
|---|---|
400 | Invalid request for fetching profile. |
401 | Authentication failed. |
403 | Authorization failed. |
404 | Runtime detection profile or profile version doesn't exist. |
500 | Unexpected error. |
All error responses share the same shape — see the error response object.
Response examples¶
200¶
{
"id": "8adde1bf-3f94-451f-b218-3bbd2cb7010c",
"name": "RTD Profile 1",
"profileDescription": "RTD Profile1 is configured for prod deployments",
"defaultContentId": "8adde1bf-3f94-451f-b218-3bbd2cb7010c",
"contentVersion": "3.4.8",
"diff": "YAML as a string here",
"createdAt": "2024-06-17T11:51:08",
"versions": [
{
"version": 3,
"createdAt": "2024-06-17T11:51:08"
}
]
}
See the guide for a narrative walkthrough of this API.